package mapped;

import net.runelite.mapping.ObfuscatedGetter;
import net.runelite.mapping.ObfuscatedName;
import net.runelite.mapping.ObfuscatedSignature;
import net.runelite.rs.api.RSScriptFrame;

@ObfuscatedName("cs")
public class ScriptFrame implements RSScriptFrame {
   @ObfuscatedName("lk")
   @ObfuscatedGetter(
      intValue = -1780121491
   )
   static int oculusOrbFocalPointY;
   @ObfuscatedName("uh")
   @ObfuscatedGetter(
      intValue = 719451585
   )
   static int field456;
   @ObfuscatedName("at")
   @ObfuscatedSignature(
      descriptor = "Ldt;"
   )
   Script script;
   @ObfuscatedName("ah")
   @ObfuscatedGetter(
      intValue = 640777695
   )
   int pc;
   @ObfuscatedName("ar")
   int[] intLocals;
   @ObfuscatedName("ao")
   String[] stringLocals;

   ScriptFrame() {
      this.pc = -1;
   }

   @ObfuscatedName("aj")
   @ObfuscatedSignature(
      descriptor = "(Ljava/lang/String;I)V",
      garbageValue = "1468769999"
   )
   static final void method1213_base(String var0) {
      PacketBufferNode var1 = class113.method2919(ClientPacket.IGNORELIST_ADD, Client.packetWriter.isaacCipher);
      var1.packetBuffer.writeByte_base(ClanChannel.stringCp1252NullTerminatedByteSize_base(var0));
      var1.packetBuffer.writeStringCp1252NullTerminated_base(var0);
      Client.packetWriter.method2867(var1);
   }

   @ObfuscatedName("kr")
   @ObfuscatedSignature(
      descriptor = "(Ldp;I)V",
      garbageValue = "128237974"
   )
   static final void method1212(PendingSpawn var0) {
      long var1 = 0L;
      int var3 = -1;
      int var4 = 0;
      int var5 = 0;
      if(var0.type == 0) {
         var1 = class36.scene.getBoundaryObjectTag_base(var0.plane, var0.x, var0.y);
      }

      if(var0.type == 1) {
         var1 = class36.scene.getWallDecorationTag_base(var0.plane, var0.x, var0.y);
      }

      if(var0.type == 2) {
         var1 = class36.scene.getGameObjectTag_base(var0.plane, var0.x, var0.y);
      }

      if(var0.type == 3) {
         var1 = class36.scene.getFloorDecorationTag_base(var0.plane, var0.x, var0.y);
      }

      if(0L != var1) {
         int var6 = class36.scene.getObjectFlags_base(var0.plane, var0.x, var0.y, var1);
         var3 = class232.Entity_unpackID_base(var1);
         var4 = var6 & 31;
         var5 = var6 >> 6 & 3;
      }

      var0.objectId = var3;
      var0.field1158 = var4;
      var0.field1157 = var5;
   }
}
